package MT::Plugin::TagRemover;
use strict;
use MT;
use MT::ObjectTag;
use MT::Plugin;

use MT::Template::Context;

require MT::Plugin;

our $VERSION = 0.1;

use base qw( MT::Plugin );

@MT::Plugin::TagRemover::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::TagRemover({
    id => 'TagRemover',
    key => 'tagremover',
    description => 'Remove Tags When Save Entry (for MT4.01)',
    name => 'Tag Remover',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    'version' => $VERSION,
});

MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
            'cms_post_save.entry'
                => \&_post_save_entry,
            'cms_post_save.page'
                => \&_post_save_entry,
        },
   });
}

sub _post_save_entry {
    my ($eh, $app, $obj, $original) = @_;
    my $q = $app->param;
    my $tags = $q->param('tags');
    $tags =~ s/\s//g;
    unless ($tags) {
        my @objecttag = MT::ObjectTag->load({ object_datasource => 'entry',
                                              object_id         => $obj->id });
        foreach my $tag (@objecttag) {
            $tag->remove
                or return $app->trans_error('Error Removing Tag: [_1]', $tag->errstr);
        }
    }
}

1;